Welcome Guest! You need to login or register to make posts.

Notification

Icon
Error

Options
Go to last post Go to first unread
fred974  
#1 Posted : Wednesday, January 18, 2012 10:26:57 AM(UTC)
fred974

Rank: Newbie

Groups: Member
Joined: 1/18/2012(UTC)
Posts: 5

Hi,

I just downloaded the product and when trying to install it via the joomla installer, i get:


Can not copy /home1/fred/public_html/blossom-photography/administrator/components/com_aurigmaphotoorder/vm/components/com_virtuemart/themes/default/templates/product_details/photo-flypage.tpl.php to /home1/fred/public_html/blossom-photography/components/com_virtuemart/themes/default/templates/product_details/photo-flypage.tpl.php.
Component Install:

Custom install routine failure

Any idea why?

I tried to unzip and ftp it but with no success
p.shirykalova  
#2 Posted : Wednesday, January 18, 2012 8:18:40 PM(UTC)
p.shirykalova

Rank: Advanced Member

Groups:
Joined: 7/13/2011(UTC)
Posts: 286

Thanks: 6 times
Was thanked: 31 time(s) in 31 post(s)
Hi Frederic,

Most probably the problem is in lack of permissions, please check.
Let me know about your results.
Best regards,
Pauline Shirykalova
Aurigma Technical Support
fred974  
#3 Posted : Thursday, January 19, 2012 1:34:24 AM(UTC)
fred974

Rank: Newbie

Groups: Member
Joined: 1/18/2012(UTC)
Posts: 5

I changed the file permission of the zip file from 755 tp 777 and had the exact same problem.
However, This time I have Aurigma Photo Order showing in my module list in joomla.
When i click on it, 'preferences' i get

404 - An error has occurred.

Component Not Found

Edited by user Thursday, January 19, 2012 1:53:17 AM(UTC)  | Reason: Not specified

andreym  
#4 Posted : Thursday, January 19, 2012 2:34:03 AM(UTC)
andreym

Rank: Advanced Member

Groups:
Joined: 6/16/2009(UTC)
Posts: 134

Was thanked: 8 time(s) in 8 post(s)
Please, make sure that directories have write permissions:
/home1/fred/public_html/blossom-photography/administrator/components
/home1/fred/public_html/blossom-photography/components

UPDATE: Also note, that you need to install Virtuamart plugin before installing our module.

Edited by user Thursday, January 19, 2012 2:36:08 AM(UTC)  | Reason: Not specified

fred974  
#5 Posted : Thursday, January 19, 2012 4:36:08 AM(UTC)
fred974

Rank: Newbie

Groups: Member
Joined: 1/18/2012(UTC)
Posts: 5

I set
/home1/fred/public_html/blossom-photography/administrator/components
/home1/fred/public_html/blossom-photography/components
to 0777

and still the same problem :(
andreym  
#6 Posted : Thursday, January 19, 2012 8:23:42 PM(UTC)
andreym

Rank: Advanced Member

Groups:
Joined: 6/16/2009(UTC)
Posts: 134

Was thanked: 8 time(s) in 8 post(s)
Can you please provide the error message you get in the php error log? There is something like
PHP Warning: copy([...]\components\com_virtuemart\themes\default\templates\product_details\photo-flypage.tpl.php) [<a href='function.copy'>function.copy</a>]: failed to open stream: Permission denied in [...]\administrator\components\com_aurigmaphotoorder\install.aurigmaphotoorder.php on line 37
should be there. That way we probably will know the reason why files can not be copied.

Edited by user Thursday, January 19, 2012 8:24:19 PM(UTC)  | Reason: Not specified

fred974  
#7 Posted : Friday, January 20, 2012 1:05:27 AM(UTC)
fred974

Rank: Newbie

Groups: Member
Joined: 1/18/2012(UTC)
Posts: 5

hi,

here is the log as requested

[18-Jan-2012 11:22:33] PHP Warning: copy(/home1/fred/public_html/blossom-photography/components/com_virtuemart/themes/default/templates/product_details/photo-flypage.tpl.php) [<a href='function.copy'>function.copy</a>]: failed to open stream: No such file or directory in /home1/fred/public_html/blossom-photography/administrator/components/com_aurigmaphotoorder/install.aurigmaphotoorder.php on line 37
[19-Jan-2012 02:50:55] PHP Warning: copy(/home1/fred/public_html/blossom-photography/components/com_virtuemart/themes/default/templates/product_details/photo-flypage.tpl.php) [<a href='function.copy'>function.copy</a>]: failed to open stream: No such file or directory in /home1/fred/public_html/blossom-photography/administrator/components/com_aurigmaphotoorder/install.aurigmaphotoorder.php on line 37
[19-Jan-2012 05:25:00] PHP Warning: copy(/home1/fred/public_html/blossom-photography/components/com_virtuemart/themes/default/templates/product_details/photo-flypage.tpl.php) [<a href='function.copy'>function.copy</a>]: failed to open stream: No such file or directory in /home1/fred/public_html/blossom-photography/administrator/components/com_aurigmaphotoorder/install.aurigmaphotoorder.php on line 37
-------------------------------------------------------------
andreym  
#8 Posted : Friday, January 20, 2012 1:19:02 AM(UTC)
andreym

Rank: Advanced Member

Groups:
Joined: 6/16/2009(UTC)
Posts: 134

Was thanked: 8 time(s) in 8 post(s)
Does the /home1/fred/public_html/blossom-photography/components/com_virtuemart/themes/default/templates/product_details directory exists? It should. It is a standard directory in the virtuemart. If there is not such directory, you probably need to reinstall virtuemart plugin.
fred974  
#9 Posted : Friday, January 20, 2012 7:05:45 AM(UTC)
fred974

Rank: Newbie

Groups: Member
Joined: 1/18/2012(UTC)
Posts: 5

Hi,

I managed to reolved the problem.
The photo order plugin is not compatible with virtuamart 2 as vm 2 do not install the theme by defaults.
I installed vm 1.1.4 and manged to install photo order but now i have a license problem...
Where do i find the evaluation license?

Thank you
p.shirykalova  
#10 Posted : Sunday, January 22, 2012 8:02:21 PM(UTC)
p.shirykalova

Rank: Advanced Member

Groups:
Joined: 7/13/2011(UTC)
Posts: 286

Thanks: 6 times
Was thanked: 31 time(s) in 31 post(s)
Hi Frederic,

The recommended version of VirtueMart is 1.1.9, please see system requirements.

As for the license key, I am able to see trial license key in your account. It expires on February, 17. Please try to use it, find it under your Licenses & Downloads section (Image Uploader 7.x (Premium, Trial)). If this key doesn't work for you, please submit new support ticket and describe the issue in details (the exact error message, direct link to your page, etc.)

If you have any questions please feel free to contact me.

Edited by user Sunday, January 22, 2012 8:04:32 PM(UTC)  | Reason: Not specified

Best regards,
Pauline Shirykalova
Aurigma Technical Support
jalan  
#11 Posted : Thursday, January 17, 2013 12:33:13 AM(UTC)
jalan

Rank: Newbie

Groups: Member
Joined: 1/13/2013(UTC)
Posts: 3

i am using joomla 1.5.26 and virtuemart 1.1.9, i am getting the following error:

Can not copy C:\xampp\htdocs\administrator\components\com_aurigmaphotoorder\vm\components\com_virtuemart\themes\default\templates\product_details\photo-flypage.tpl.php to C:\xampp\htdocs\components\com_virtuemart\themes\default\templates\product_details\photo-flypage.tpl.php.
Component Install: Custom install routine failure

Warning: copy(C:\xampp\htdocs\components\com_virtuemart\themes\default\templates\product_details\photo-flypage.tpl.php) [function.copy]: failed to open stream: No such file or directory in C:\xampp\htdocs\administrator\components\com_aurigmaphotoorder\install.aurigmaphotoorder.php on line 37

Please help
vitaly  
#12 Posted : Thursday, January 17, 2013 2:44:30 AM(UTC)
vitaly

Rank: Advanced Member

Groups:
Joined: 12/19/2012(UTC)
Posts: 164

Was thanked: 8 time(s) in 8 post(s)
Hello jalan,

The Component Install: Custom install routine failure error message means that you use versions of Joomla and Virtuemart which are incompatible with Photo Order.

Photo Order supports Joomla 1.5 and Virtuemart 1.1.9. Please follow this way to install it correctly:

1. install Joomla 1.5.
2. install Virtuemart 1.1.9.
3. install Photo Order plug-in. Be sure that you have write permissions on your server in order to install the component properly.

I hope it helps.

Best regards,
Vitaly Kustov
Best regards,
Vitaly Kustov
Aurigma Technical Support
jalan  
#13 Posted : Thursday, January 17, 2013 11:08:19 PM(UTC)
jalan

Rank: Newbie

Groups: Member
Joined: 1/13/2013(UTC)
Posts: 3

Dear vitaly,
As i have already mentioned that i am using using joomla 1.5.26 and virtuemart 1.1.9, so i think incompatible issues should not be there, i am using xampp on windows 7, i have given all permissions possible to xampp folder. Do you think i should install joomla version older than 1.5.26 ??
vitaly  
#14 Posted : Friday, January 18, 2013 3:16:41 AM(UTC)
vitaly

Rank: Advanced Member

Groups:
Joined: 12/19/2012(UTC)
Posts: 164

Was thanked: 8 time(s) in 8 post(s)
Hello jalan,

Please try to use the version of Joomla is older than 1.5.26.
Let me know about your results.

Best regards,
Vitaly Kustov
Aurigma Technical Support
Best regards,
Vitaly Kustov
Aurigma Technical Support
jalan  
#15 Posted : Friday, January 18, 2013 8:20:28 PM(UTC)
jalan

Rank: Newbie

Groups: Member
Joined: 1/13/2013(UTC)
Posts: 3

Well i installed everything again, did it 3 times and in the third time it started working, i guess before installation we should put the aurigma zip file in c drive otherwise there are some permission error, just guessing.
Users browsing this topic
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.